Debian Bug report logs - #158434
bugs.debian.org: ChangeLog closes handling should be changed

Package: bugs.debian.org; Maintainer for bugs.debian.org is Debian Bug Tracking Team <owner@bugs.debian.org>;

Reported by: Gerfried Fuchs <alfie@debian.org>

Date: Tue, 27 Aug 2002 07:03:01 UTC

Severity: wishlist

Merged with 170098

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@bugs.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#158434; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@bugs.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bugs.debian.org: ChangeLog closes handling should be changed
Date: Tue, 27 Aug 2002 08:48:31 +0200
Package: bugs.debian.org
Severity: wishlist

        Hi there!

 With the addition of the testing distribution we have new problems:
Bugs are closed in unstable but flow more or less slowly (due to
dependency problems) into testing, but are due to the uploads into
unstable long closed.

 What we need is a change here: Bugs should just be closed in unstable.
How to do this?  They should be rather be tagged <sarge> than be closed
by an upload to unstable.  Not unconditionally, of course.  The version
of the bugreport should be compared with the version currently in
testing.  Some sort of algorithm not too complex but able to handle most
of the cases shouldn't be too hard to do (yes, I volunteer to help
there).

 Secondly, the testing scripts should be tweaked, too.  They should
check the differences between the current changelog.Debian and the one
of the version that is going to flow in from unstable and close the
bugreports tagged <sarge>.  Why only those?  To avoid messages tagged
sid that where retagged sid because of problebugreports tagged <sarge>.
Why only those?  To avoid messages that were retagged sid because of
problems that are still in effect in unstable.

 Of course these sugguestions are not foolproof -- but the current
situation is neither.  I sugguest these changes to make the BTS a better
place to track bugs.  Current situation is far from optimal.  We
currently state that there isn't a bug anymore just by closing it with
an upload to unstable.  The fact is that is still is active in testing
and the BTS should live up to that fact.

 I hope that these sugguestion will hit some open ears.  I'm not really
sure if this is the best sugguestion, but it's the one idea I currently
came up with.  Feel free to comment on it, I guess discussion on
debian-devel (*without* the copy to the BTS directly) would be a good
idea, I am thinking of scanning the responses and mail summaries into
the BTS to keep the bugreport current.  If you like, Cc: me offlist if
really needed, I am not subcribed to debian-devel, but I'll watch the
discussion through both the webarchives and news:linux.debian.devel (and
answer from there -- need to finish my setup wrt/ that anyway ,).

 Thanks, and I hope some of the inner circle like the idea.
Alfie
-- 
php ist an sich ne recht nutzlose sprache wenn da nicht soviele dinge so
einfach drin moeglich waeren
                    -- Getty in #debian.de



Bug reassigned from package `bugs.debian.org' to `ftp.debian.org'. Request was from Josip Rodin <joy@gkvk.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `bugs.debian.org'. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `bugs.debian.org' to `ftp.debian.org'. Request was from Josip Rodin <joy@gkvk.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `bugs.debian.org'. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#158434; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@gkvk.hr>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #18 received at 158434@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@gkvk.hr>
To: 158434@bugs.debian.org
Subject: addendum
Date: Thu, 29 Aug 2002 13:09:44 +0200
[Message part 1 (text/plain, inline)]
Hi,

Since elmo's yawning, I figured I was definitely missing something.

David Harris was kind enough to provide me with the relevant IRC log, which
I'm attaching for the record.

It seems that I was basing my conclusions on a false premise that Alfie's
ideas wouldn't actually be ignored here. Oh well :)

-- 
Joy
[bugs.log (text/plain, attachment)]

Merged 158434 170098. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <alfie@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 158434-done@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 46434-done@bugs.debian.org, 105776-done@bugs.debian.org, 158434-done@bugs.debian.org
Subject: Version tracking implemented
Date: Mon, 18 Jul 2005 12:44:58 +0100
Version tracking has been implemented on bugs.debian.org (see
debian-devel-announce). No doubt there will be some teething problems,
but it essentially finally closes these bugs. :-)

As far as #105776 goes, version-tracking-aware expiry isn't done yet,
but we won't be turning bug expiry back on again until it is.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 00:02:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:59:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.